Last Comment Bug 769130 - browser/app/Makefile.in: setting PREF_JS_EXPORTS _after_ including rules.mk is useless
: browser/app/Makefile.in: setting PREF_JS_EXPORTS _after_ including rules.mk i...
Status: RESOLVED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 16
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: 760792 762588
  Show dependency treegraph
 
Reported: 2012-06-27 19:42 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-07-10 00:10 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Actually install channel-prefs.js in PREF_DIR when building Firefox as a XULRunner app (1.53 KB, patch)
2012-07-04 22:29 PDT, Mike Hommey [:glandium]
khuey: review+
bugzillamozillaorg_serge_20140323: feedback+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-06-27 19:42:45 PDT
(In reply to Mike Hommey [:glandium] from bug 762588 comment #9)
> (In reply to Serge Gautherie (:sgautherie) from comment #8)
> > Comment on attachment 631062 [details] [diff] [review]
> > Install channel-prefs.js in PREF_DIR when building Firefox as a XULRunner app
> > 
> > Review of attachment 631062 [details] [diff] [review]:
> > -----------------------------------------------------------------
> > 
> > ::: browser/app/Makefile.in
> > @@ +142,5 @@
> > >  libs:: $(srcdir)/profile/channel-prefs.js
> > >  	$(NSINSTALL) -D $(DIST)/bin/defaults/pref
> > >  	$(PYTHON) $(topsrcdir)/config/Preprocessor.py $(PREF_PPFLAGS) $(ACDEFINES) $^ > $(DIST)/bin/defaults/pref/channel-prefs.js
> > > +else
> > > +PREF_JS_EXPORTS += $(srcdir)/profile/channel-prefs.js
> > 
> > I'm a little confused.
> > Isn't it useless to set PREF_JS_EXPORTS _after_ including rules.mk?
> > http://mxr.mozilla.org/comm-central/search?string=PREF_JS_EXPORTS&case=on
> 
> Mmmm you're right.
Comment 1 Mike Hommey [:glandium] 2012-07-04 22:29:45 PDT
Created attachment 639223 [details] [diff] [review]
Actually install channel-prefs.js in PREF_DIR when building Firefox as a XULRunner app
Comment 2 Serge Gautherie (:sgautherie) 2012-07-05 03:03:28 PDT
Comment on attachment 639223 [details] [diff] [review]
Actually install channel-prefs.js in PREF_DIR when building Firefox as a XULRunner app

This looks like what I expected.
Comment 4 Mike Hommey [:glandium] 2012-07-09 06:55:52 PDT
Comment on attachment 639223 [details] [diff] [review]
Actually install channel-prefs.js in PREF_DIR when building Firefox as a XULRunner app

[Approval Request Comment]
Bug caused by bug 762588 and initially bug 756325.
User impact if declined: channel-prefs.js is not shipped at all after bug 762588. (only affects Firefox as a xulrunner application, not mozilla builds, nor local builds)
Risk to taking this patch (and alternatives if risky): NPOTB.
String or UUID changes made by this patch: None.
Comment 5 Alex Keybl [:akeybl] 2012-07-09 14:40:15 PDT
Comment on attachment 639223 [details] [diff] [review]
Actually install channel-prefs.js in PREF_DIR when building Firefox as a XULRunner app

[Triage Comment]
NPOTB, approved for Aurora 15 and Beta 14.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-09 18:05:04 PDT
https://hg.mozilla.org/mozilla-central/rev/a11422072152

Note You need to log in before you can comment on or make changes to this bug.